petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDSCreate

Creates an empty PetscDS object. The type can then be set with PetscDSSetType().

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSCreate(MPI_Comm comm, PetscDS *prob)

Collective on MPI_Comm

### Input Parameter

comm -The communicator for the PetscDS object

### Output Parameter

prob -The PetscDS object

### See Also

PetscDSSetType(), PETSCDSBASIC

### Level

beginner

### Location

src/dm/dt/interface/dtds.c

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages